Bric::Util::Grp::ATType(3)

NAME
Bric::Util::Grp::ATType - Interface to Bric::Biz::ATType Groups

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2005-09-20 17:48:20 -0700 (Tue, 20 Sep 2005) $

SYNOPSIS
See Bric::Util::Grp

DESCRIPTION
See Bric::Util::Grp.

INTERFACE

  Constructors
Inherited from Bric::Util::Grp.

  Destructors

$attr->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

$supported_classes = Bric::Util::Grp::ATType->get_supported_classes()
    This will return an anonymous hash of the supported classes in the group as keys with the short name as a value. The short name is used to construct the member table names and the foreign key in the table.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my @list_classes = Bric::Util::Grp::ATType->get_list_classes
    Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::ATType->get_object_class_id
    Forces all Objects to be considered as this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::ATType->get_class_id()
    This will return the class ID that this group is associated with.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $secret = Bric::Util::Grp::ATType->get_secret()
    Returns false, because this is not a secret type of group, but one that can be used by users.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $class = Bric::Util::Grp::ATType->my_class()
    Returns a Bric::Util::Class object describing this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

my $class = Bric::Util::Grp::ATType->member_class()
    Returns a Bric::Util::Class object describing the members of this group.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

  Public Instance Methods
Inherited from Bric::Util::Grp.

PRIVATE

  Private Constructors
NONE.

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Biz::ATType, Bric::Util::Grp